Debian Bug report logs - #463555
libcompress-bzip2-perl: FTBFS with perl5.10: removes usr/share/perl5 unconditionally

version graph

Package: libcompress-bzip2-perl; Maintainer for libcompress-bzip2-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcompress-bzip2-perl is src:libcompress-bzip2-perl.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Fri, 1 Feb 2008 11:48:02 UTC

Severity: important

Tags: patch

Found in version libcompress-bzip2-perl/2.09-1

Fixed in version libcompress-bzip2-perl/2.09-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#463555; Package libcompress-bzip2-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcompress-bzip2-perl: FTBFS with perl5.10: removes usr/share/perl5 unconditionally
Date: Fri, 1 Feb 2008 13:46:32 +0200
[Message part 1 (text/plain, inline)]
Package: libcompress-bzip2-perl
Version: 2.09-1
Severity: important
Tags: patch
User: debian-perl@lists.debian.org
Usertags: perl-5.10-transition

Hi,

Your package fails to build with perl 5.10 from experimental:
  ...
  rmdir --ignore-fail-on-non-empty --parents /tmp/buildd/libcompress-bzip2-perl-2.09/debian/libcompress-bzip2-perl/usr/share/perl5
  rmdir: failed to remove `/tmp/buildd/libcompress-bzip2-perl-2.09/debian/libcompress-bzip2-perl/usr/share/perl5': No such file or directory
  make: *** [install-stamp] Error 1

The reason for this is that MakeMaker that is shipped with perl5.10
finally stops creating the spurious usr/{share,lib}/perl5 directories.

Please change the removal line to

   [ ! -d $(TMP)/usr/share/perl5 ] || rmdir --ignore-fail-on-non-empty --parents --verbose $(TMP)/usr/share/perl5


Thanks,
    dam


P.S. shameless plug: if you don't want to bother, please consider
giving[1] the package to the Debian Perl Group.

  [1] http://wiki.debian.org/Teams/DebianPerlGroup?action=show#head-e1811c16f568b2e2f356d6bf2d9db17f727d9804
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#463555; Package libcompress-bzip2-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #10 received at 463555@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463555@bugs.debian.org
Subject: libcompress-bzip2-perl: diff for NMU version 2.09-1.1
Date: Sat, 5 Apr 2008 12:02:45 +0100
[Message part 1 (text/plain, inline)]
tags 463555 + patch
thanks

Hi,

Attached is the diff for my libcompress-bzip2-perl 2.09-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libcompress-bzip2-perl-2.09-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:06:10 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 463555-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463555-close@bugs.debian.org
Subject: Bug#463555: fixed in libcompress-bzip2-perl 2.09-1.1
Date: Sat, 05 Apr 2008 11:17:06 +0000
Source: libcompress-bzip2-perl
Source-Version: 2.09-1.1

We believe that the bug you reported is fixed in the latest version of
libcompress-bzip2-perl, which is due to be installed in the Debian FTP archive:

libcompress-bzip2-perl_2.09-1.1.diff.gz
  to pool/main/libc/libcompress-bzip2-perl/libcompress-bzip2-perl_2.09-1.1.diff.gz
libcompress-bzip2-perl_2.09-1.1.dsc
  to pool/main/libc/libcompress-bzip2-perl/libcompress-bzip2-perl_2.09-1.1.dsc
libcompress-bzip2-perl_2.09-1.1_i386.deb
  to pool/main/libc/libcompress-bzip2-perl/libcompress-bzip2-perl_2.09-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libcompress-bzip2-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:01:02 +0100
Source: libcompress-bzip2-perl
Binary: libcompress-bzip2-perl
Architecture: source i386
Version: 2.09-1.1
Distribution: unstable
Urgency: low
Maintainer: Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libcompress-bzip2-perl - Perl interface to Bzip2 compression library
Closes: 463555
Changes: 
 libcompress-bzip2-perl (2.09-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove $(TMP)/usr/share/perl5 (closes: #463555)
Files: 
 3c311a428b4bfac156e65cfb34237985 679 perl optional libcompress-bzip2-perl_2.09-1.1.dsc
 55309bd37a98dbef8276c2804f7edfca 2243 perl optional libcompress-bzip2-perl_2.09-1.1.diff.gz
 482f25715c6dc373d9641c36673e1218 57960 perl optional libcompress-bzip2-perl_2.09-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH91wlSYIMHOpZA44RAlstAKCylg2F2pGtSr3hEIzPoPjLwuvdhACbBnGj
jvdhbFudT265fEA0TkP4JtQ=
=5dK7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jun 2008 07:36:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:13:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.